Loading...
Searching...
No Matches
log4shib::SimpleLayout Class Reference

BasicLayout is a simple fixed format Layout implementation. More...

`#include <SimpleLayout.hh>`

Inheritance diagram for log4shib::SimpleLayout:
[legend]
Collaboration diagram for log4shib::SimpleLayout:
[legend]

## Public Member Functions

| SimpleLayout ()
virtual | ~SimpleLayout ()
virtual std::string | format (const LoggingEvent &event)
| Formats the LoggingEvent in SimpleLayout style: "priority - message".
Public Member Functions inherited from log4shib::Layout
virtual | ~Layout ()
| Destructor for Layout.

## Detailed Description

BasicLayout is a simple fixed format Layout implementation.

## Constructor & Destructor Documentation

## SimpleLayout()

log4shib::SimpleLayout::SimpleLayout | ( |  | ) |

## ~SimpleLayout()

log4shib::SimpleLayout::~SimpleLayout | ( |  | ) |

virtual

## Member Function Documentation

## format()

std::string log4shib::SimpleLayout::format | ( | const LoggingEvent & | event | ) |

virtual

Formats the LoggingEvent in SimpleLayout style:
"priority - message".

Implements log4shib::Layout.

The documentation for this class was generated from the following files:

- SimpleLayout.hh
- SimpleLayout.cpp